<template>
  <div class="relative inline-block text-left">
    <button
      type="button"
      class="inline-flex items-center justify-center w-full px-4 py-2 text-xs font-normal text-white uppercase rounded-md shadow-sm bai hover:text-black hover:bg-primary focus:outline-none"
      id="menu-button"
      aria-expanded="true"
      aria-haspopup="true"
      @click.prevent="active = !active"
    >
      <svg
        xmlns="http://www.w3.org/2000/svg"
        fill="none"
        viewBox="0 0 24 24"
        stroke-width="1.5"
        stroke="currentColor"
        :class="['w-4 h-4 mr-2 -ml-1']"
      >
        <path
          stroke-linecap="round"
          stroke-linejoin="round"
          d="M10.5 21l5.25-11.25L21 21m-9-3h7.5M3 5.621a48.474 48.474 0 016-.371m0 0c1.12 0 2.233.038 3.334.114M9 5.25V3m3.334 2.364C11.176 10.658 7.69 15.08 3 17.502m9.334-12.138c.896.061 1.785.147 2.666.257m-4.589 8.495a18.023 18.023 0 01-3.827-5.802"
        />
      </svg>
      {{ current.short }}
      <svg
        xmlns="http://www.w3.org/2000/svg"
        fill="none"
        viewBox="0 0 24 24"
        stroke-width="1.5"
        stroke="currentColor"
        :class="['w-4 h-4 ml-2 -mr-1']"
      >
        <path
          stroke-linecap="round"
          stroke-linejoin="round"
          d="M19.5 8.25l-7.5 7.5-7.5-7.5"
        />
      </svg>
    </button>

    <transition
      v-if="active"
      enter-active-class="transition duration-100 ease-out"
      enter-from-class="transform scale-95 opacity-0"
      enter-to-class="transform scale-100 opacity-100"
      leave-active-class="transition duration-75 ease-in"
      leave-from-class="transform scale-100 opacity-100"
      leave-to-class="transform scale-95 opacity-0"
    >
      <div
        class="absolute right-0 z-10 w-full mt-2 origin-top-right bg-white divide-y rounded-md shadow-lg divide-primary ring-1 ring-secondary ring-opacity-5 focus:outline-none"
        role="menu"
        aria-orientation="vertical"
        aria-labelledby="menu-button"
        tabindex="-1"
      >
        <div role="none">
          <!-- Active: "bg-gray-100 text-gray-900", Not Active: "text-gray-700" -->

          <a
            v-for="locale in availableLocales"
            :key="locale.code"
            :href="switchLocalePath(locale.code)"
            class="block px-4 py-2 text-xs font-normal text-center uppercase rounded-md bai text-paragraph hover:bg-primary hover:text-black"
            role="menuitem"
            tabindex="-1"
            >{{ locale.short }}</a
          >
        </div>
      </div>
    </transition>
  </div>
</template>

<script>
export default {
  name: 'LangSwitcherComponent',

  data() {
    return {
      active: false,
    }
  },

  computed: {
    current() {
      return this.$i18n.locales.filter((i) => i.code === this.$i18n.locale)[0]
    },
    availableLocales() {
      return this.$i18n.locales.filter((i) => i.code !== this.$i18n.locale)
    },
  },
}
</script>
